#!/bin/sh

cd /usr/local/src/VDR
CHANGED=0

if [ "$(patch -f --dry-run recording.c < /_config/update/patches/up15.recording.diff | grep FAILED)" = "" ] ; then
   patch -f recording.c < /_config/update/patches/up15.recording.diff 
   make
   CHANGED=1
fi   

cd /usr/local/src/VDR/PLUGINS/src/audiorecorder

if [ "$(patch -f -p0 --dry-run < /_config/update/patches/up15.audiorecorder.diff | grep FAILED)" = "" ] ; then
   patch -f -p0 < /_config/update/patches/up15.audiorecorder.diff
   make all
   CHANGED=1
fi   
[ "$CHANGED" = "1" ] && /_config/bin/instvdr.sh

